Rise in number on allocs on balsa by 
The number of allocations on balsa went from a  to  last night between  and  The checkins in range are



possibly except for mrbkap that checked in before the  run.

The increase can easily be seen on this graph:



(you may have to adjust the number of days displayed since the graphtool is crappy).
